Contents

# GetPathSeparator Function

Returns the operating system-dependent directory separator used to specify file paths.

### Syntax:

GetPathSeparator()

### Return type:

String

- "\" Windows

- "/" UNIX, including MacOS

### Parameters:

None.

### Error codes:

5 Nederīgs procedūras izsaukums

### Example:

            Sub ExampleGetPathSeparator
                MsgBox GetPathSeparator()
            End Sub

Wiser script instructions are available from Identifying the operating system help page.

• ScriptForge.Platform service provides a collection of properties about the current execution environment and context, that include platform detection.
• Extensive operating system name identification is available from INFO("system") Calc formula.

Saistītie temati

It is recommended to use:

ConvertFromURL function to convert a file URL to a system file name.

ConvertToURL function to convert a system file name to a file URL.

See also URL Notation